
Redmine - Defect #7537

Authen::Simple::LDAP bug affects Redmine.pm authentication

2011-02-04 00:42 - Bryce Nordgren

Status: Closed Start date: 2011-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM extra Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.9.3

Description

Subversion commits were down for about a week while I tracked down a problem whereby authentication via the Apache module

was failing. I could still login to Redmine the web app, but could not perform any subversion operation which required authentication.

I am actually using RedmineAdvanced.pm (#3712), but the problem affects both Redmine.pm and RedmineAdvanced.pm.

Details, including both a fix and a workaround, here: https://rt.cpan.org/Public/Bug/Display.html?id=65426

Whenever the bug is closed out on CPAN, this ticket can be closed out too. I'm only filing here because it raises the visibility of the

problem somewhat, and may help lead someone to a solution quickly.

History

#1 - 2011-03-24 06:32 - Toshi MARUYAMA

- Category changed from SCM to SCM extra

#2 - 2018-09-15 08:24 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

It seems that the bug was fixed in Authen-Simple-LDAP 0.3 released on 2012-04-19.
